httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Issac Goldstand <mar...@beamartyr.net>
Subject Re: Question about Apache 2.4 and libapreq2 (Apache2::Request)
Date Wed, 06 Sep 2017 07:44:07 GMT
On 9/6/2017 10:23 AM, Steve Hay wrote:
> On 19 January 2017 at 14:25, Issac Goldstand <margol@beamartyr.net> wrote:
>> That release was canceled due to lack of votes, but regardless there was
>> very little effective difference between that and 2.13 - mostly around
>> tests, docs and build scripts.  2.13 should run just fine on 2.4
> 
> Somehow, it only came to my attention yesterday that 2.14 never
> officially got released. That's a great shame because 2.13 doesn't
> build out-of-the-box on Windows, at least not with httpd-2.4, whereas
> 2.14 does.
> 
> Is there any chance of resurrecting it, or else just going for a new
> release numbered 2.15?
> 

Moving to the apreq-dev list, and we can follow-up on the modperl list
thread if it makes sense later :)

I don't see why not, but I'd like to informally ping the dev list and
see whether we have other PMC members who'd be willing to vote.
Otherwise, we'd be making a lot of useless noise in prepping a release.

  Issac


>>
>>   Issac
>>
>> On 1/19/2017 6:30 AM, Jie Gao wrote:
>>>
>>> There was a new release candidate over a month ago, and it is available at
>>> https://home.apache.org/~issac/libapreq2-2.14.tar.gz .
>>>
>>> Regards,
>>>
>>>
>>> Jie
>>>
>>>
>>>
>>> * JW <gava_g@yahoo.com> wrote:
>>>
>>>> Date: Wed, 18 Jan 2017 20:06:41 +0000
>>>> From: JW <gava_g@yahoo.com>
>>>> To: "modperl@perl.apache.org" <modperl@perl.apache.org>
>>>> Subject: Question about Apache 2.4 and libapreq2 (Apache2::Request)
>>>>
>>>>
>>>> Hi,
>>>>
>>>> I currently use Apache 2.2, mod_perl and libapreq2 (for Apache2::Request
>>>> and Apache2::Cookie). I did a test installation of Apache 2.4 (yum),
>>>> mod_perl (source) and libapreq2-2.13 (source). and it seems to work fine.
>>>>
>>>> The last update of libapreq2 was in 2010. I'm aware that not every
>>>> library has to be updated and frankly I'm pleased that it still works.
>>>> However, before I make a permanent switch to Apache 2.4, I was wondering
if
>>>> anyone doing a similar upgrade experienced problems using libapreq2 and what
>>>> alternative(s) they chose.
>>>>
>>>> Thank you.
>>>>
>>>> John
>>>>
>>>>
>>>>
>>>
>>


Mime
View raw message